part of tecfy_core_client_package;

class Package{

  int type;
  bool isValid = true;
  DateTime time;
  dynamic data;
  Package({this.type, this.data});
  Package.fromMap(Map row){
    type = row['Type'];
    time = DateTime.now();
    switch(type){
      case PackageType.newNotification:
      data = NotificationApp.fromMap(row['Data']);
      break;
      case PackageType.newMultiNotification:
      data = row['Data'].map((dn)=> NotificationApp.fromMap(dn)).toList();
      break;
      case PackageType.newMessage:
      data = Message.fromMap(row['Data']);
      break;
      case PackageType.newMiltiMessage:
      data = row['Data'].map((dn)=> Message.fromMap(dn)).toList();
      break;
      default:
      isValid =false;
    }
  }
}