part of tecfy_core_client_package;

class NotificationIcon extends StatelessWidget {
  final Color color;
  NotificationIcon({this.color});
  @override
  Widget build(BuildContext context) {
    return StreamBuilder<int>(
      stream: NotificationAppService.notificationCountStream,
      builder: (context,snap)=> IconButton(
        tooltip: 'Notification',
        icon:Stack(children: <Widget>[Icon(Icons.notifications,color: color,), 
            CircleAvatar( radius: 7, backgroundColor: Colors.red, foregroundColor: Colors.white, child:  
            Text(snap.data?.toString() ?? NotificationAppService.notificationCount.toString(), 
              style: TextStyle(fontSize: 8),))],) ,
        onPressed: ()=>AppNavigator.navigateTo(context, ()=>NotificationsListPage()),
      )
    );
  }
}