part of tecfy_core_client_package;

class NotificationApp extends BaseModel{
  
  String id;
  int type;
  bool showNowOnly;
  String titleAr;
  String titleEn;
  String get title => LocalConfigService.isArabic ? titleAr : titleEn;
  String messageAr;
  String messageEn;
  String get message => LocalConfigService.isArabic ? messageAr : messageEn;
  bool seen;
  String ownerUserId;
  DateTime time;
  String get timeString  => time?.toString() ?? '-';

  NotificationApp.fromMap(Map row){
      id = row['Id'];
      type = row['Type'];
      showNowOnly = row['ShowNowOnly'] ?? false;
      titleAr = row['TitleAr'] ?? '';
      titleEn = row['TitleEn'] ?? '';
      messageAr = row['MessageAr'] ?? '';
      messageEn = row['MessageEn'] ?? '';
      seen = row['Seen'] ?? false;
      ownerUserId = row['OwnerUserId'] ?? '';
      time = DateTime.tryParse(row['CreatedTime']);
  }

  @override
  String get displayName => null;

  @override
  String get idValue => null;

}