part of tecfy_core_client_package;

class NotificationAppService{
  static bool connected = false;
  static IOWebSocketChannel channel;
  static Stream<dynamic> stream;
  static List<NotificationApp> notificationList = [];
  static int notificationCount = 0;
  static StreamController<int> notificationCountStreamController ;
  static Stream<int> notificationCountStream ;

  static init(){    
    notificationCountStreamController = StreamController<int>();
    notificationCountStream = notificationCountStreamController.stream.asBroadcastStream();
    notificationCount = 0;   
  }

  static onNotificationReceived(NotificationApp n){
    notificationList.add(n);
    notificationCount ++;
    notificationCountStreamController.add(notificationCount);
    print('Notification Count = $notificationCount');
  }

  static loadOldNotifications()async{
    try{
      
      WebSocketService.sendPackage(Package(type:PackageType.requestLatestNotification,data:DateTime.now().millisecondsSinceEpoch));
      //WebSocketService.channel.sink.add(json.encode({'type':'request','lastTime':DateTime.now().toString()}));
   
    }catch(err)
    {
      print(err);
    }
  }

}