part of tecfy_core_client_package;

class NotificationsListPage extends StatefulWidget {
  @override
  _NotificationsListPageState createState() => _NotificationsListPageState();
}

class _NotificationsListPageState extends State<NotificationsListPage> {

  bool running = true;

  @override
  void dispose() {
    running = false;
    super.dispose();
  }

  @override
  void initState() {
    init();
    super.initState();
  }

  init()async{
    // mark all notification as seen after 2 seconds
    await Future.delayed(Duration(seconds: 2));
    if(running)
    {
    // await UserNotificationService.markAsRead();
    }
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: MainAppBar(context: context, title: AppLocale.translate(context, 'Notifications')),
        body:  StreamBuilder(
      stream: NotificationAppService.notificationCountStream,
      builder: (context,snap)=> ListView(children: NotificationAppService.notificationList.map<Widget>((n)=>ListTile(
        title: Text(n.title),
        subtitle: Text(n.message),
        trailing: Text(n.timeString),
      )).toList()..add(
        FlatButton(child: Text('load'),onPressed: ()=>NotificationAppService.loadOldNotifications())
      ),)
    ));
  }


}
